<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-service-selection'] = 'from-page';

/*servicesetting*/
$biography_sections['biography-home-service-selection-setting'] =
    array(
        'priority'       => 20,
        'title'          => esc_html__( 'Service Selection Options', 'biography-pro' ),
        'panel'          => 'biography-home-service',
    );

$biography_settings_controls['biography-home-service-selection'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-selection']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Select Service From', 'biography-pro' ),
            'description'           =>  esc_html__( 'After selecting one of the option, please go back and go to particular section to add', 'biography-pro' ),
            'section'               => 'biography-home-service-selection-setting',
            'type'                  => 'select',
            'choices'               => array(
                'from-page' => esc_html__( 'Page', 'biography-pro' ),
                'from-category' => esc_html__( 'Category', 'biography-pro' )
            ),
            'priority'              => 20,
            'active_callback'       => ''
        )
    );