<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-testimonial-pages'] = 0;

/*page selection*/
$biography_sections['biography-home-testimonial-pages'] =
    array(
        'priority'       => 40,
        'title'          => esc_html__( 'Select Testimonial From Page', 'biography-pro' ),
        'description'    => esc_html__( 'This option only work when you have selected "Page" in "Testimonial selection Options".', 'biography-pro' ),
        'panel'          => 'biography-home-review',
    );

/*creating setting control for biography-home-testimonial-page start*/
$biography_repeated_settings_controls['biography-home-testimonial-pages'] =
    array(
        'repeated' => 3,
        'biography-home-testimonial-pages-ids' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-testimonial-pages'],
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Select Page For Testimonial %s', 'biography-pro' ),
                'section'               => 'biography-home-testimonial-pages',
                'type'                  => 'dropdown-pages',
                'priority'              => 10,
                'description'           => ''
            )
        ),
        'biography-home-testimonial-pages-divider' => array(
            'control' => array(
                'section'               => 'biography-home-testimonial-pages',
                'type'                  => 'message',
                'priority'              => 20,
                'description'           => '<br /><hr />'
            )
        )
    );