<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function biography_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Sidebar', 'biography-pro' ),
        'id'            => 'sidebar-1',
        'description'   => '',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
     register_sidebar( array(
        'name'          => esc_html__( 'Front Page Widget Area', 'biography-pro' ),
        'id'            => 'front-page-widget',
        'description'   => '',
        'before_widget' => '<section class="wrapper wrap-portfolio front-widget"> <div class="container overhidden">',
        'after_widget'  => '</div></section>',
        'before_title'  => ' <div class="block-title"><h2>',
        'after_title'   => ' </h2> <div class="title-divider"> <span> </span> </div></div>',
    ) );
}
add_action( 'widgets_init', 'biography_widgets_init' );

require get_template_directory() . '/inc/widgets/featured-posts-widget.php';
