<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-fs-enable'] = 1;
$biography_customizer_defaults['biography-home-fs-number'] = 3;
$biography_customizer_defaults['biography-home-fs-cat-all'] = 1;

/*fsoptions*/
$biography_sections['biography-home-fs-options'] =
    array(
        'priority'       => 80,
        'title'          => esc_html__( 'Text Slider Options', 'biography-pro' ),
        'panel'          => 'biography-home-fs',
    );

/*fssetting*/
$biography_settings_controls['biography-home-fs-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-fs-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Text Slider', 'biography-pro' ),
            'section'               => 'biography-home-fs-options',
            'type'                  => 'checkbox',
            'priority'              => 10
        )
    );

/*defaults values*/

$biography_settings_controls['biography-home-fs-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-fs-number']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number of Text Slider/s', 'biography-pro' ),
            'section'               => 'biography-home-fs-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography-pro' ),
                2 => esc_html__( '2', 'biography-pro' ),
                3 => esc_html__( '3', 'biography-pro' )
            ),
            'priority'              => 22
        )
    );

$biography_settings_controls['biography-home-fs-cat-all'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-fs-cat-all']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Check To Show All Posts From Selected Category', 'biography-pro' ),
            'description'           =>  esc_html__( 'Note : Only work when you have selected text slider for category', 'biography-pro' ),
            'section'               => 'biography-home-fs-options',
            'type'                  => 'checkbox',
            'priority'              => 25
        )
    );