<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-count-page-icon'] = 'fa-laptop';
$biography_customizer_defaults['biography-home-count-pages'] = 0;
$biography_customizer_defaults['biography-home-count-number'] = 0;

/*page selection*/
$biography_sections['biography-home-count-pages'] =
    array(
        'priority'       => 40,
        'title'          => esc_html__( 'Select Count From Page', 'biography-pro' ),
        'description'    => esc_html__( 'This option only work when you have selected "Page" in "Count selection Options".', 'biography-pro' ),
        'panel'          => 'biography-home-count',
    );

/*creating setting control for biography-home-count-page start*/
$biography_repeated_settings_controls['biography-home-count-pages'] =
    array(
        'repeated' => 4,
        'biography-home-count-page-icon' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-count-page-icon'],
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Icon %s', 'biography-pro' ),
                'section'               => 'biography-home-count-pages',
                'type'                  => 'text',
                'priority'              => 5,
                'description'           => sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'biography-pro' ), 'fa-laptop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' )
            )
        ),
        'biography-home-count-pages-ids' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-count-pages'],
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Select Page For Count %s', 'biography-pro' ),
                'section'               => 'biography-home-count-pages',
                'type'                  => 'dropdown-pages',
                'priority'              => 10,
                'description'           => ''
            )
        ),
        'biography-home-count-number' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-count-number'],
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Count Number for %s', 'biography-pro' ),
                'section'               => 'biography-home-count-pages',
                'type'                  => 'text',
                'priority'              => 10,
                'description'           => ''
            )
        ),
        'biography-home-count-pages-divider' => array(
            'control' => array(
                'section'               => 'biography-home-count-pages',
                'type'                  => 'message',
                'priority'              => 20,
                'description'           => '<br /><hr />'
            )
        )
    );