<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-history-icon'] = 'fa-laptop';



$biography_sections['biography-home-history-icon'] =
    array(
        'priority'       => 40,
        'title'          => esc_html__( 'Select History Icons', 'biography-pro' ),
        'description'    => esc_html__( 'The Icons Are For Both Posts And Categories', 'biography-pro' ),
        'panel'          => 'biography-home-history',
    );

/*creating setting control for biography-home-service-page start*/
$biography_repeated_settings_controls['biography-home-history-icon'] =
    array(
        'repeated' => 8,
         'biography-home-history-icon' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-history-icon'],
                'sanitize_callback'     => 'sanitize_text_field',
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Icon %s', 'biography-pro' ),
                'section'               => 'biography-home-history-icon',
                'type'                  => 'text',
                'priority'              => 5,
                'description'           => sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'biography-pro' ), 'fa-laptop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' )
            )
        )
    );