<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;


$biography_customizer_defaults['biography-home-skill-enable'] = TRUE;
$biography_customizer_defaults['biography-home-skill-name'] = esc_html__( 'Wordpress', 'biography-pro' );
$biography_customizer_defaults['biography-home-skill-percent'] = 50;
$biography_customizer_defaults['biography-home-skill-title'] = esc_html__( 'My Skill', 'biography-pro' );

$biography_sections['biography-home-skill'] =
    array(
        'priority'       => 190,
        'title'          => esc_html__( 'Home/Front Skill Section', 'biography-pro' )
    );


      $biography_settings_controls['biography-home-skill-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-skill-enable'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable skill', 'biography-pro' ),
            'section'               => 'biography-home-skill',
            'type'                  => 'checkbox',
            'description'           => esc_html__('Check To Enable Skills','biography-pro'),
            'priority'              => 1,
            'active_callback'       => ''
        )
    );

  $biography_settings_controls['biography-home-skill-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-skill-title'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Home Skill Title', 'biography-pro' ),
            'section'               => 'biography-home-skill',
            'type'                  => 'text',
            'priority'              => 2,
            'description'           => esc_html__('Enter Your Skill Title','biography-pro'),
            'active_callback'       => '',
            'sanitize_callback'     =>'sanitize_text_field'
        )
    );

    $biography_repeated_settings_controls['biography-home-skill'] =
    array(
        'repeated' => 8,
        'biography-home-skill-name' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-skill-name'],
            ),
            'control' => array(
                'label'                 => esc_html__( 'Skill %s', 'biography-pro' ),
                'section'               => 'biography-home-skill',
                'type'                  => 'text',
                'priority'              => 5,
                'description'           => esc_html__('Enter Your Skill Name','biography-pro'),
                'sanitize_callback'     => 'sanitize_text_field'
            )
        ),
        'biography-home-skill-percent' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-skill-percent'],
            ),
            'control' => array(
                'label'                 => esc_html__( 'Skill Percentage %s', 'biography-pro' ),
                'section'               => 'biography-home-skill',
                'type'                  => 'text',
                'priority'              => 5,
                'description'           => esc_html__('Enter Your Percentage Number ','biography-pro'),
                'sanitize_callback'     => ''

            )
        )
        );