<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-excerpt-length'] = '50';
$biography_customizer_defaults['biography-exclude-categories'] = '';

$biography_sections['biography-blog-archive-options'] =
    array(
        'priority'       => 40,
        'title'          => esc_html__( 'Blog/Archive Options', 'biography-pro' ),
        'panel'          => 'biography-theme-options',
    );

$biography_settings_controls['biography-excerpt-length'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-excerpt-length'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Excerpt Length (in words)', 'biography-pro' ),
            'section'               => 'biography-blog-archive-options',
            'type'                  => 'number',
            'priority'              => 10,
        )
    );

$biography_settings_controls['biography-exclude-categories'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-exclude-categories'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Exclude Categories In Blog Page', 'biography-pro' ),
            'description'           =>  esc_html__( 'Please enter categories ids in comma separated eg: 5,7. For including all categories left blank', 'biography-pro' ),
            'section'               => 'biography-blog-archive-options',
            'type'                  => 'text',
            'priority'              => 20,
        )
    );

