<?php
if ( ! function_exists( 'biography_sanitize_number' ) ) :
    /**
     * Function to sanitize number
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_input
     * @param $biography_setting
     * @return int || float || numeric value
     *
     */
    function biography_sanitize_number ( $biography_input, $biography_setting ) {
        $biography_sanitize_text = sanitize_text_field( $biography_input );

        // If the input is an number, return it; otherwise, return the default
        return ( is_numeric( $biography_sanitize_text ) ? $biography_sanitize_text : $biography_setting->default );
    }

endif;