<?php
if ( ! function_exists( 'biography_client_array' ) ) :
  

    function biography_client_array() {
       
        
        global $biography_customizer_all_values;
        $biography_home_client_enable = $biography_customizer_all_values['biography-home-client-enable'];

        $biography_home_client_contents_array = array();
        $biography_home_client_contents_array[0]['biography-home-client-name'] = esc_html__( 'WordPress', 'biography-pro' );
        $biography_home_client_contents_array[0]['biography-home-client-image']=  get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[1]['biography-home-client-name'] = esc_html__( 'PHP', 'biography-pro' );
        $biography_home_client_contents_array[1]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[2]['biography-home-client-name'] = esc_html__( 'JavaScript', 'biography-pro' );
        $biography_home_client_contents_array[2]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[3]['biography-home-client-name'] = esc_html__( 'jQuery', 'biography-pro' );
        $biography_home_client_contents_array[3]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[4]['biography-home-client-name'] = esc_html__( 'Angular Js', 'biography-pro' );
        $biography_home_client_contents_array[4]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[5]['biography-home-client-name'] = esc_html__( 'Ruby', 'biography-pro' );
        $biography_home_client_contents_array[5]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        $biography_home_client_contents_array[6]['biography-home-client-name'] = esc_html__( 'Ruby', 'biography-pro' );
        $biography_home_client_contents_array[6]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";
        $biography_home_client_contents_array[7]['biography-home-client-name'] = esc_html__( 'Ruby', 'biography-pro' );
        $biography_home_client_contents_array[7]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";
        $biography_home_client_contents_array[8]['biography-home-client-name'] = esc_html__( 'Ruby', 'biography-pro' );
        $biography_home_client_contents_array[8]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";
        $biography_home_client_contents_array[9]['biography-home-client-name'] = esc_html__( 'Ruby', 'biography-pro' );
        $biography_home_client_contents_array[9]['biography-home-client-image']= get_template_directory_uri()."/assets/img/wordpress-logo-notext-rgb.png";

        
        $biography_repeated_array = array('biography-home-client-image','biography-home-client-name' );
        $biography_home_client_posts = biography_get_repeated_all_value( 10, $biography_repeated_array );
        
              if( null != $biography_home_client_posts  ) {
                 
                foreach( $biography_home_client_posts as $biography_home_client_post ) {
                    if( isset($biography_home_client_post['biography-home-client-image'])){
                    if( null != $biography_home_client_post['biography-home-client-image']){
                        $biography_home_client_posts_image[]= $biography_home_client_post['biography-home-client-image'];


                        if( isset( $biography_home_client_post['biography-home-client-name'] )){
                            $biography_home_client_name[] = $biography_home_client_post['biography-home-client-name'];
                        }
                        else{
                            $biography_home_client_name[] ='WordPress';
                        }
                      
                    }
                  }
                }
                  if(isset($biography_home_client_posts_image)){
                    $biography_home_client_contents_array = array();
                   for($i=0; $i<count($biography_home_client_posts_image); $i++){
                    $biography_home_client_contents_array[$i]['biography-home-client-image'] = $biography_home_client_posts_image[$i];
                    $biography_home_client_contents_array[$i]['biography-home-client-name'] = $biography_home_client_name[$i];
                 }
                }
                }
            return $biography_home_client_contents_array;
            
                
            }
          endif;
        
if ( ! function_exists( 'biography_client' ) ) :

  function biography_client() {
        /**
         * Service array creation
         *
         * @since Biography 1.0.0
         *
         * @param string $from_client
         * @return array
         *
         *
         * 
         */
        

            global $biography_customizer_all_values;

             if( TRUE != $biography_customizer_all_values['biography-home-client-enable'] ){
                  return null;
              }
              $biography_client_arrays = biography_client_array();    

              $biography_home_client_title = $biography_customizer_all_values['biography-home-client-title'];
              $biography_home_client_number = $biography_customizer_all_values['biography-home-client-number'];


        ?>

        <!-- Additonal section 1 -->
        <section class="wrapper wrap-client">
            <div class="container overhidden">
                <div class="col-md-12 biography-animate slideInDown" style="visibility: visible; animation-name: slideInDown;">
                        <!--biography testimonial start-->
                    <?php if (isset($biography_customizer_all_values['biography-home-client-title'])){?>
                    <div class="block-title">
                        <h2><?php echo $biography_customizer_all_values['biography-home-client-title']; ?></h2>
                        <div class="title-divider"><span></span></div>
                    </div>
                    <?php }else{?>
                    <div class="block-title">
                        <h2><?php esc_html__(  'My Clients','biography-pro' ); ?></h2>
                        <div class="title-divider"><span></span></div>
                    </div>
                    <?php }?>
                    <div class="arrow-section">
                        <a href="#" id="prev"> <i class="fa fa-chevron-circle-left fa-2x"></i> </a>
                        <a href="#" id="next"> <i class="fa fa-chevron-circle-right fa-2x"></i> </a>
                    </div>
                    <div class="cycle-slideshow"
                        data-cycle-swipe=true
                        data-cycle-swipe-fx=scrollHorz
                        data-cycle-carousel-fluid=true
                        data-cycle-fx=carousel
                        data-cycle-timeout=5000
                        data-cycle-next="#next"
                        data-cycle-prev="#prev"
                        data-cycle-pager="#pager"
                        data-cycle-slides="> a"
                        data-cycle-fx=carousel
                        data-cycle-pause-on-hover="true"
                        data-cycle-carousel-visible="<?php echo absint( $biography_home_client_number ); ?>"
                        >

                         <?php foreach ($biography_client_arrays as $biography_client_array) { ?>
                        <a href="<?php echo esc_url($biography_client_array['biography-home-client-name']);?>">
                            <img src="<?php echo esc_url($biography_client_array['biography-home-client-image']);?>" alt = "" width="150" height="150">
                        </a>
                        <?php }  ?>
                         

                    </div>
                </div>
            </div>
        </section>

    <?php }
endif;
add_action( 'client', 'biography_client', 10 );
